\newcommand{\lucky}{{\tt Lucky}}
\newcommand{\lurettetop}{{\tt lurettetop}}
\newcommand{\xlurette}{{\tt Xlurette}}
\newcommand{\lutin}{{\tt Lutin}}
\newcommand{\genfake}{{\tt gen\_fake\_lutin}}
\newcommand{\showluc}{{\tt show\_luc}}
\newcommand{\eps}{\varepsilon}
\newcommand{\ind}{\hspace{2cm}}




\newcommand{\op}{$\langle$}
\newcommand{\cl}{$\rangle$}

\newcommand{\semce}[2]{\[#1\] \ #2}
\newcommand{\semtest}[3]{\[${\tt #1}$ #2\]_t \ #3}

\newcommand{\alors}{{$\rightarrow \ $}}
\newcommand{\fleche}{{\rightarrow}}
\newcommand{\term}[1]{{\color{blue3} \tt#1}}
\newcommand{\code}[1]{{\tt#1}}
\newcommand{\metaterm}[1]{{\tt #1}}
\newcommand{\nt}[1]{{\color{DarkSlateGrey} \tt {<}}{\color{DarkSlateGrey} \bf#1}{\color{DarkSlateGrey} \tt {>}}}


\def\int{\nt{int}}
\def\float{\nt{float}}
\def\bool{\nt{bool}}
\def\ident{\nt{ident}}
%\newcommand{\identt}[1]{{\green \tt {<}}{\green \bf ident$_{#1}$}{\green \tt {>}}}
\newcommand{\identt}[1]{{\color{DarkSlateGrey} \tt {<}}{\color{DarkSlateGrey}\bf ident{\color{DarkSlateGrey} \tt {>}}}}
\def\preident{\nt{pre}}
\def\nodes{\mathcal{N}}
\def\trans{\mathcal{T}}
\def\graph{\mathcal{G}}


\def\mnodes{$\mathcal{N}$}
\def\mtrans{$\mathcal{T}$}
\def\mgraph{$\mathcal{G}$}

% CROCHET BIZARRE
\def\[{\normalfont{\mbox{[\hspace{-.35ex}[}}}
\def\]{\normalfont{\mbox{]\hspace{-.35ex}]}}}

\newcommand{\WTS}{\mbox{Lucky programs}}
\newcommand{\usmms}{Lucky programs}
\newcommand{\usmm}{Lucky programs}
\newcommand{\USMM}{Lucky programs}
\newcommand{\pre}{\bullet}
\newcommand{\lurette}{\mbox{\sc Lurette}}
\newcommand{\lustre}{\mbox{\sc Lustre}}


\newcommand{\simpletrans}[1]{
\raisebox{-1ex}{$\stackrel{\scriptstyle #1}\longrightarrow$}
}
\newcommand{\transition}[2]{
\raisebox{-1ex}{$\stackrel{\scriptstyle #1}{\stackrel{\longrightarrow}{\scriptstyle #2}}$}
}
\newcommand{\microstep}[2]{
\raisebox{-1ex}{$\stackrel{\scriptstyle #1}{\stackrel{\; \longmapsto}{\scriptstyle #2}}$}
}
\newcommand{\seqmicrostep}[2]{
\raisebox{-1ex}{$\stackrel{\scriptstyle #1}{\stackrel{\; \longmapsto^*}{\scriptstyle #2}}$}
}
\newcommand{\macrostep}[2]{
\raisebox{-1ex}{$\stackrel{\scriptstyle #1}{\stackrel{|\!\Longrightarrow}{\scriptstyle #2}}$}
}
\newcommand{\cpt}{\mbox{$j$}}
\newcommand{\Sopen}{\footnotesize $S_{\mbox{\tiny open}}$}
\newcommand{\Son}{\footnotesize $S_{\mbox{\tiny on}}$}
\newcommand{\Soff}{\footnotesize $S_{\mbox{\tiny off}}$}

\newcommand{\jeOon}{\footnotesize $\bullet j=0 \wedge On$}
\newcommand{\jeOnoton}{\footnotesize $\bullet j=0 \wedge \neg On$}
\newcommand{\jsOand}{\footnotesize $\bullet j>0 \wedge$}
\newcommand{\jmI}{\footnotesize $j=\bullet j-1$}
\newcommand{\jint}{\footnotesize $10 \le j \le 15$}
\newcommand{\tdef}{\footnotesize $t=\frac{3\bullet t+T}{4}$}

\newcommand{\deltapos}{\footnotesize $0<\delta<0.2$}

\newcommand{\tdelta}{\footnotesize $t=\bullet t+\delta \wedge$}

\newcommand{\deltaneg}{\footnotesize $-0.1<\delta<0$}

\newcommand{\fon}{\footnotesize $On$}
\newcommand{\fnoton}{\footnotesize $\neg On$}
 
\newcommand{\pce}{\tiny {\it 100}}

%%%% debut macro %%%%
% I like to put boxes around all of my figures and algorithms in
% reports, and finally came up with my 'bigbox' environment.  It
% makes a box as wide as the current text and sets the stuff
% inside with a narrower width.
%
% USAGE:
%
% \begin{figure}        (or {table}, or {center}, or ...)
%   \begin{bigbox}
%     \begin{tabbing}
%       ...
%     \end{tabbing}
%   \end{bigbox}
%   \caption{XXX}
% \end{figure}
%
%%% BIGBOX - environment
%%%
%%% TOM SHEFFLER
%%% Carnegie Mellon, Aug 1990
%%%
%%% Make an environment for boxing a figure and setting it in
%%% a narrower width.
\newdimen\boxfigwidth % width of figure box

\def\bigbox{\begingroup
  % Figure out how wide to set the box in
  \boxfigwidth=\hsize
  \advance\boxfigwidth by -2\fboxrule
  \advance\boxfigwidth by -2\fboxsep
  \setbox4=\vbox\bgroup\hsize\boxfigwidth
  % Make an invisible hrule so that the box is exactly this wide
  \hrule height0pt width\boxfigwidth\smallskip%
% Some environments like TABBING and other LIST environments
% use this measure of line size - \LINEWIDTH=\HSIZE-\LEFTMARGIN-\RIGHTMARGIN?
  \linewidth=\boxfigwidth
}
\def\endbigbox{\smallskip\egroup\fbox{\box4}\endgroup}
%%%% fin macro %%%%


%\input{commandes.tex}

%\gdef\SetFigFont#1#2#3#4#5{}
\newcommand{\red}{\color{red}}
\newcommand{\blue}[1]{{\color{blue} #1}}
\newcommand{\blued}[1]{{\color{blue2} #1}}
\newcommand{\bluet}[1]{{\color{blue3} #1}}
\newcommand{\green}[1]{{\color{green4} #1}}
\newcommand{\greent}[1]{{\color{green3} #1}}


\newcommand{\kwd}[1]{{\bf \color{blue3} #1}}
\newcommand{\kwdd}[1]{{\color{DarkSlateGrey} #1}}
\newcommand{\kwddd}[1]{{\bf \color{blue2} #1}}

\newcommand{\comment}[1]{\emph{\color{green4} #1}}
